Endpoint Examples

/versions/{version}/changes

Version specific changes

GET Get version changes

Get version specific changes.

Path Parameters

NameDescription
versionstringThe titles taxonomy version.Example: latest

Code Examples

{
  "method": "GET",
  "url": "https://api.lightcast.io/titles/versions/latest/changes",
  "show": true,
  "headers": [
    {
      "name": "Authorization",
      "value": "Bearer "
    }
  ],
  "queryString": []
}

Response Examples

{
  "data": {
    "additions": [
      {
        "id": "ET72E64338B77E4585",
        "title": "Stock Taker"
      }
    ],
    "removals": [
      {
        "id": "ET4184BC17C5F67F27",
        "title": "PM Manager"
      }
    ],
    "alterations": [
      {
        "id": "ETCD7750DD30D06DBE",
        "title": "Crater"
      }
    ]
  }
}

The version you requested wasn't found.

{
  "errors": [
    {
      "title": "URL not found",
      "status": 404,
      "detail": "Unrecognized version: invaildVersion"
    }
  ]
}
{
    "$schema": "http://json-schema.org/draft-07/schema",
    "$id": "responses/changes.schema.json",
    "type": "object",
    "properties": {
        "data": {
            "title": "Categorized title version changes",
            "type": "object",
            "properties": {
                "additions": {
                    "title": "List of newly added titles",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "properties": {
                            "title": {
                                "title": "New title name",
                                "type": "string",
                                "minLength": 1
                            },
                            "id": {
                                "title": "New title id",
                                "type": "string",
                                "minLength": 1
                            }
                        },
                        "required": [
                            "title",
                            "id"
                        ],
                        "additionalProperties": false
                    },
                    "minItems": 0
                },
                "removals": {
                    "title": "List of removed titles",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "properties": {
                            "title": {
                                "title": "Removed title name",
                                "type": "string",
                                "minLength": 1
                            },
                            "id": {
                                "title": "Removed title id",
                                "type": "string",
                                "minLength": 1
                            }
                        },
                        "required": [
                            "title",
                            "id"
                        ],
                        "additionalProperties": false
                    },
                    "minItems": 0
                },
                "alterations": {
                    "title": "List of altered titles",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "properties": {
                            "title": {
                                "title": "title name",
                                "type": "string",
                                "minLength": 1
                            },
                            "id": {
                                "title": "title id",
                                "type": "string",
                                "minLength": 1
                            }
                        },
                        "required": [
                            "title",
                            "id"
                        ],
                        "additionalProperties": false
                    },
                    "minItems": 0
                }
            }
        }
    },
    "required": [
        "data"
    ],
    "additionalProperties": false
}